#!/bin/bash

y=annot-search-lib-${project.version}.jar

# If directory "log4jconfig" exists, it is added to the beginning of
# the classpath.
if [ -d log4jconfig ]; then
  y=log4jconfig/:${y}
fi

# Actually used jars: annot-tools, corpusstructure-api, log4j,
# lucene-core, mpi-util, postgresql.
for x in lib/*.jar ; do
  y=${y}:${x}
done

java -cp $y \
  -Djava.awt.headless=true -Dfile.encoding=UTF-8 -Dsun.jnu.encoding=UTF-8 \
  -Xmx3584M -XX:MaxPermSize=512M -XX:+UseCompressedOops \
  -XX:+OptimizeStringConcat -XX:+AggressiveOpts \
  -XX:+UseBiasedLocking -XX:+RelaxAccessControlCheck \
  -agentlib:hprof=cpu=samples,thread=y,interval=100,depth=16,cutoff=0.001,file=hprof-speed.txt \
  -Xnoclassgc -Xfuture \
  nl.mpi.annot.search.lib.SearchClient searchclient.properties \
  kind gott schön да elephant olifant elefant pink \
  amerikanische sah gesamten einst verwendet \
    vorbei Behörden helfen Folgen bezeichnet \
  David strategy authorities expects Committee \
    distribution runs address cars particularly \
  erin morgen laag toont positie praktijk \
    positief volledige witte lijken \
  protection l\'aide couleur nouvel Lorsque \
    change changement garantie somme Belge \
  язык художник знак завод кулак использовать \
    стакан пахнет отсюда рот пора \
  enemigo hicimos dulce pruebas quería abuelo \
    totalmente mirando vayan carrera \
  geç hareket ettiler yumurta aşırı eylem \
    istenem kesim kriz birim kapanmak \
  じどうしゃ 自動車 しろ 白 こうじょう 工場 \
    てくび 手首 おば 伯母 あした 明日 いろ 色 \
    そふ 祖父 どうぶつ 動物 はは 母

